DJINN(1)

NAME
djinn - generate Haskell expressions from types

SYNOPSIS
djinn [OPTION ... ] [FILE ... ]

DESCRIPTION
Djinn uses a theorem prover for intuitionistic propositional logic to generate a Haskell expression when given a type. Given a type the program will deduce an expression of this type, if one exists. If the Djinn says the type is not realizable it is because there is no (total) expression of the given type.

OPTIONS

[-|+]multi
    Print multiple solutions.

[-|+]sorted
    Sort solutions.

[-|+]debug
    Debug mode.

SEE ALSO
The program provides interactive documentation.

AUTHOR
djinn was written by Lennart Augustsson and Thomas Johnsson. This manual page was written by Raúl Benencia for the Debian Project.